;Przykładowy program POOL, możesz go dowolnie
;używać i modyfikować na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

if not defined? "painter [include "painter.l]

;zbiór Mandelbrota:
to mandelbrot
  use painter ;dziedziczy z klasy painter

  ;implementacja funkcji obliczającej fraktal
  to formula :real :img :depth
    let "a 0
    let "b 0
    repeat :depth [
      let "a2 :a^2
      let "b2 :b^2
      if :a2 + :b2 > 4 [output repcount]
      let "b 2 * :a * :b + :img
      let "a :a2 - :b2 + :real
    ]
    output :depth + 2
  end

  ;setpalette "blue2red

  to depth :s op int (sqrt :s) * 4 end
  ;implementacja funkcji skalujących kolor
  to fcolor :idx output (log :idx)^2 end
  to cscale op 1000 / fcolor :depth end
end
;--- koniec klasy mandelbrot ---

