;Przykładowy program POOL, możesz go dowolnie
;używać i modyfikować na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

if not defined? "painter [include "painter.l]

;fraktal Julia:
to julia [:cRe (-0.7)] [:cIm 0.27015]
  use painter ;dziedziczy z klasy painter

  ;implementacja funkcji obliczającej fraktal
  to formula :real :img :depth
    repeat :depth [
      let "oldRe :real
      let "oldIm :img
      let "real :oldRe^2 - :oldIm^2 + :cRe
      let "img 2 * :oldRe * :oldIm + :cIm
      let "m :real^2 + :img^2
      if :m > 4 [
        output repcount - (log 0.5 * (log :m 2) 2)
      ]
    ]
    output :depth + 2
  end

  setpalette "hot

  to depth :s op int (sqrt :s) * 400 end
  ;implementacja funkcji skalujących kolor
  to fcolor :idx output sqrt log :idx end
  to cscale op 1000 / fcolor :depth end
end
;--- koniec klasy julia ---

