;Przykładowy program POOL, możesz go dowolnie
;używać i modyfikować na licencji GPL.
;Autorzy: R&D Independent Team
;Źródło: www.pool-rnd.com

if not defined? "painter [include "painter.l]

;fraktal snowflake:
to snowflake [:cRe (-0.81)] [:cIm 0.001] [:p 6]
  use painter ;dziedziczy z klasy painter

  ;implementacja funkcji obliczającej fraktal
  to formula :real :img :depth
    let "idx 0
    let "abs sqrt :real^2 + :img^2
    let "z array :real :img
    repeat :depth [
      let "k (:z,1^2 + :z,2^2)^(:p/2)
      let "f radatan :z,2 / :z,1
      :z,1 := :k * radcos :p * :f
      :z,2 := :k * radsin :p * :f
      let "real :z,1 + :cRe
      let "img :z,2 + :cIm

      let "absOld :abs
      let "z array :real :img
      let "abs sqrt :real^2 + :img^2

      "idx += exp -1 / (abs :absOld - :abs)
      if :abs > 2 [break]
    ]
    output :idx
  end

  setpalette "blendsnow

  ;implementacja funkcji skalującej kolor
  to fcolor :idx output (1000*:idx) % 1000 end

  to depth :s op 1000 end
end
;--- koniec klasy snowflake ---

